Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get tenant details
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Tenants
  4. Get tenant details
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
  • Responses
  • 200 OK
    • Body

Get tenant details

Returns the current tenant state and public settings.

RequestRequest

POST

https://api.datalens.tech/rpc/getTenantDetails

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "tenantId": "example",
  "orgId": "example",
  "settings": {
    "dataExportProhibited": true,
    "prohibitionPublication": true,
    "workbookFileExportProhibited": true,
    "defaultColorPaletteId": "example",
    "aiAssistantProhibited": true,
    "externalAIProvidersEnabled": true,
    "aiChatHistoryProhibited": true,
    "sharingProhibited": true,
    "newObjectCreatorRole": "admin",
    "defaultSidebarMode": "simplified",
    "autoAssignLicenses": true,
    "autoBuyLicenses": true,
    "autoBuyLicensesLimit": 0.5
  },
  "dlpEnabled": true,
  "foldersEnabled": true
}

Name

Description

dlpEnabled

Type: boolean

Whether DataLens Platform mode is enabled for the tenant.

foldersEnabled

Type: boolean

Whether legacy folder navigation is enabled for the tenant.

orgId

Type: string | null

ID of the organization. Null when the tenant has no organization.

Example: example

settings

Type: object

aiAssistantProhibited

Type: boolean

Whether the Neuroanalyst is prohibited for the tenant.

aiChatHistoryProhibited

Type: boolean

Whether storing Neuroanalyst chat history is prohibited for the tenant.

autoAssignLicenses

Type: boolean

Whether seats are assigned automatically.

autoBuyLicenses

Type: boolean

Whether additional seats are purchased automatically.

autoBuyLicensesLimit

Type: number | null

Maximum number of seats that can be purchased automatically.

dataExportProhibited

Type: boolean

Whether exporting data is prohibited for the tenant.

defaultColorPaletteId

Type: string

ID of the default color palette.

Example: example

defaultSidebarMode

Type: string

Default sidebar display mode.

Enum: simplified, full

externalAIProvidersEnabled

Type: boolean

Whether Neuroanalyst may use models hosted outside Yandex Cloud.

newObjectCreatorRole

Type: string

Default role assigned to the creator of a new object.

Enum: admin, editor, none

prohibitionPublication

Type: boolean

Whether entries publication is prohibited for the tenant.

sharingProhibited

Type: boolean

Whether creating temporary public links is prohibited for the tenant.

workbookFileExportProhibited

Type: boolean

Whether workbooks export is prohibited for the tenant.

[additional]

Type: unknown

Example: null

Public tenant settings. Additional public settings may be returned.

Example
{
  "dataExportProhibited": true,
  "prohibitionPublication": true,
  "workbookFileExportProhibited": true,
  "defaultColorPaletteId": "example",
  "aiAssistantProhibited": true,
  "externalAIProvidersEnabled": true,
  "aiChatHistoryProhibited": true,
  "sharingProhibited": true,
  "newObjectCreatorRole": "admin",
  "defaultSidebarMode": "simplified",
  "autoAssignLicenses": true,
  "autoBuyLicenses": true,
  "autoBuyLicensesLimit": 0.5
}

tenantId

Type: string

ID of the current DataLens tenant.

Example: example

Was the article helpful?

Previous
Overview
Next
Overview
© 2026 Direct Cursus Technology L.L.C.